CREATE TABLE IF NOT EXISTS `civicrm_form_processor` (
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(80) NULL,
  `title` VARCHAR(128) NULL,
  `is_active` TINYINT NULL DEFAULT 1,
  `description` TEXT NULL,
  `created_date` DATE NULL,
  `created_user_id` INT NULL,
  `modified_date` DATE NULL,
  `modified_user_id` INT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `name_UNIQUE` (`name` ASC)
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `civicrm_form_processor_input` (
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `form_processor_id` INT UNSIGNED NOT NULL,
  `name` VARCHAR(80) NOT NULL,
  `type` VARCHAR(80) NOT NULL,
  `is_required` TINYINT NULL DEFAULT 0,
  `default_value` VARCHAR(256) NULL,
  `configuration` TEXT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `name_id_UNIQUE` (`id`, `name` ASC)
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `civicrm_form_processor_action` (
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `form_processor_id` INT UNSIGNED NOT NULL,
  `weight` INT UNSIGNED NOT NULL,
  `title` VARCHAR(80) NOT NULL,
  `type` VARCHAR(80) NOT NULL,
  `configuration` TEXT NULL,
  PRIMARY KEY (`id`)
) ENGINE = InnoDB;
